Subject: [bug#55431] [PATCH] guix: cpu: recognize other architectures.

From: Efraim Flashner <[email-masked]>
Date: Wed, 18 May 2022 15:05:38 +0300

On Tue, May 17, 2022 at 05:55:38PM +0200, Julien Lepiller wrote:
> Thanks for fixing that anyway :)
> 
> I was only interested in it because it made me unable to reconfigure my systems. I don't care too much about the --tune code, and I don't understand what you suggest. Do you mean to create "x86 on x86_64" as a separate architecture? Or as a --tune target?
> 

As part of the autotuning process. GCC internally groups i686 and x86_64
together when determining how to tune for --march=native, and I'm pretty
sure I've added some i686 hardware for AMD when I was adding autotuning
support for AMD CPUs. Its similar for aarch64 and armhf, there are armhf
targets internally that accept armv8.X-a targets, so there's no need to
limit armhf tuning to armv7.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted